Export workflows

Base URL
https://{kibana_url}
  • POST /api/workflows/export
  • POST /s/{space_id}/api/workflows/export
Auth

Export one or more workflows as JSON with YAML content and metadata.

Required privileges

Privileges workflowsManagement:read or workflowsManagement:managed:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ids string[] · min items: 1 · max items: 500 required

Array of workflow IDs to export.

Response

200

JSON containing exported workflow YAML entries and manifest metadata

application/json
Base URL
https://{kibana_url}